diff options
| author | Kubernetes Submit Queue <k8s-merge-robot@users.noreply.github.com> | 2017-10-25 19:13:05 -0700 |
|---|---|---|
| committer | GitHub <noreply@github.com> | 2017-10-25 19:13:05 -0700 |
| commit | f479f056ec32c0e5c434ca0b67a4519b34c618dd (patch) | |
| tree | 45750b943db58300c705eba0377c8748ca813c56 /hack | |
| parent | 3512ad9d7eaa2fa3820940d9c18758b6c250efc8 (diff) | |
| parent | fad14ac876614244864b07dd8a87132510003198 (diff) | |
Merge pull request #1267 from cblecker/generator-no-docker
Automatic merge from submit-queue.
Don't use docker by default for sig docs generator
Per https://github.com/kubernetes/test-infra/pull/5149, removing the requirement to run this inside a docker container.
Made a bunch of changes to make this work in just a regular GOPATH. Feedback welcomed, @jamiehannaford :)
Diffstat (limited to 'hack')
| -rwxr-xr-x | hack/verify.sh | 36 |
1 files changed, 21 insertions, 15 deletions
diff --git a/hack/verify.sh b/hack/verify.sh index 5f855aa7..8eb75982 100755 --- a/hack/verify.sh +++ b/hack/verify.sh @@ -1,38 +1,44 @@ #!/bin/bash -export CRTDIR=$(pwd) -export TMPDIR=/tmp/testgendocs -mkdir $TMPDIR +CRT_DIR=$(pwd) +VERIFY_TEMP=$(mktemp -d 2>/dev/null || mktemp -d -t k8s-community.XXXXXX) +WORKING_DIR=${VERIFY_TEMP}/src/testgendocs +GOPATH=${VERIFY_TEMP} +mkdir -p ${WORKING_DIR} -cp -r sig* Makefile generator $TMPDIR +function cleanup { + rm -rf "${VERIFY_TEMP}" +} +trap cleanup EXIT -cd $TMPDIR +cp -r sigs.yaml sig-* wg-* Makefile generator ${WORKING_DIR}/ + +cd ${WORKING_DIR} make 1>/dev/null mismatches=0 break=$(printf "=%.0s" $(seq 1 68)) -for file in $(ls $CRTDIR/sig-*/README.md $CRTDIR/sig-list.md); do - real=${file#$CRTDIR/} - if ! diff -q $file $TMPDIR/$real &>/dev/null; then - echo "$file does not match $TMPDIR/$real"; +for file in $(ls ${CRT_DIR}/sig-*/README.md ${CRT_DIR}/wg-*/README.md ${CRT_DIR}/sig-list.md); do + real=${file#$CRT_DIR/} + if ! diff -q ${file} ${WORKING_DIR}/${real} &>/dev/null; then + echo "${file} does not match ${WORKING_DIR}/${real}"; mismatches=$((mismatches+1)) fi; done -if [ $mismatches -gt "0" ]; then +if [ ${mismatches} -gt "0" ]; then echo "" - echo $break + echo ${break} noun="mismatch was" - if [ $mismatches -gt "0" ]; then + if [ ${mismatches} -gt "0" ]; then noun="mismatches were" fi - echo "$mismatches $noun detected." + echo "${mismatches} ${noun} detected." echo "Do not manually edit sig-list.md or README.md files inside the sig folders." echo "Instead make your changes to sigs.yaml and then run \`make\`."; - echo $break + echo ${break} exit 1; fi -rm -rf $TMPDIR exit 0 |
